%define major	6
%define libname	%mklibname matroska %{major}
%define develname %mklibname -d matroska

Summary:	Matroska Audio/Video file format library
Name:		libmatroska
Version:	1.4.4
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.matroska.org/
Source0:	http://dl.matroska.org/downloads/libmatroska/%{name}-%{version}.tar.xz
BuildRequires:	libebml-devel >= 1.3.1

%description
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{libname}
Summary:	Matroska Audio/Video file format shared library
Group:		System/Libraries
Obsoletes:	%{_lib}matroska2
Obsoletes:	%{_lib}matroska5

%description -n	%{libname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

%package -n	%{develname}
Group:		Development/Libraries
Summary:	Matroska Audio/Video file format headers and static library
Requires:	%{libname} = %{version}
Provides:	libmatroska-devel = %{version}-%{release}
Obsoletes:	%mklibname -d matroska 0

%description -n	%{develname}
In short, matroska is a new Audio/Video file format. It is an advanced
and full featured format.

Advanced because it is based on EBML, a kind of XML equivalent, that
allow infinite extensibility of the format. And full featured because
it includes precise seeking, any audio/video/subtitle codec support
including VCM/ACM/DirectShow compatibility, timecode based format,
complex frame dependencies, chaptering, internationalisation, error
protection, tagging, file attachement, control track (to be defined),
menu (to be defined), etc. All these features are not yet implemented
but already defined in the format.

This package contains the C++ headers and the static library needed
for development with Matroska.

%prep
%setup -q

chmod 644 LICENSE*

# fix end of line encoding
sed -i 's/\r//' LICENSE.LGPL

%build
%configure2_5x
%make LIBS=-lebml

%install
rm -rf %buildroot
%makeinstall_std

# fix lib permissions so that it gets properly stripped and -debug isn't empty
chmod a+x %{buildroot}%{_libdir}/*.so*

# don't ship .a or .la
rm -f %buildroot%_libdir/lib*a

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%doc ChangeLog LICENSE*
%{_includedir}/matroska
%{_libdir}/lib*.so
%_libdir/pkgconfig/libmatroska.pc


%changelog
* Wed Oct 21 2015 bb <bb> 1.4.4-1pclos2015
- update

* Mon Oct 19 2015 bb <bb> 1.4.3-1pclos2015
- update
